MyGUI: MyGUI::ToolTipManager Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::ToolTipManager Class Reference

`#include <MyGUI_ToolTipManager.h>`

Inheritance diagram for MyGUI::ToolTipManager:
[legend]

## Public Member Functions
| ToolTipManager ()
void | initialise ()
void | shutdown ()
void | setDelayVisible (float _value)
float | getDelayVisible () const
void | _unlinkWidget (Widget *_widget)
Public Member Functions inherited from MyGUI::Singleton< ToolTipManager >
| Singleton ()
virtual | ~Singleton ()
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< ToolTipManager >
typedef Singleton< ToolTipManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< ToolTipManager >
static ToolTipManager & | getInstance ()
static ToolTipManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 17 of file MyGUI_ToolTipManager.h.

## Constructor & Destructor Documentation

## ◆ ToolTipManager()

MyGUI::ToolTipManager::ToolTipManager | ( |  | ) |

Definition at line 19 of file MyGUI_ToolTipManager.cpp.

## Member Function Documentation

## ◆ _unlinkWidget()

void MyGUI::ToolTipManager::_unlinkWidget | ( | Widget * | _widget | ) |
| virtual

Implements MyGUI::IUnlinkWidget.

Definition at line 141 of file MyGUI_ToolTipManager.cpp.

## ◆ getDelayVisible()

float MyGUI::ToolTipManager::getDelayVisible | ( |  | ) | const

Definition at line 203 of file MyGUI_ToolTipManager.cpp.

## ◆ initialise()

void MyGUI::ToolTipManager::initialise | ( |  | ) |

Definition at line 30 of file MyGUI_ToolTipManager.cpp.

## ◆ setDelayVisible()

void MyGUI::ToolTipManager::setDelayVisible | ( | float | _value | ) |

Definition at line 198 of file MyGUI_ToolTipManager.cpp.

## ◆ shutdown()

void MyGUI::ToolTipManager::shutdown | ( |  | ) |

Definition at line 49 of file MyGUI_ToolTipManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ToolTipManager.h
- MyGUI_ToolTipManager.cpp